package de.intevation.artifactdatabase;

import org.w3c.dom.Document;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import de.intevation.artifacts.Artifact;

import org.apache.log4j.Logger;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultArtifact
implements   Artifact
{
    private static Logger logger = Logger.getLogger(DefaultArtifact.class);

    protected String identifier;

    public DefaultArtifact() {
    }

    protected Document newDocument() {
        try {
            return DocumentBuilderFactory
                .newInstance()
                .newDocumentBuilder()
                .newDocument();
        }
        catch (ParserConfigurationException pce) {
            logger.error(pce.getLocalizedMessage(), pce);
        }
        return null;
    }

    public String identifier() {
        return this.identifier;
    }

    public String hash() {
        return String.valueOf(hashCode());
    }

    public Document describe(Object context) {
        return newDocument();
    }

    public Document advance(Document target, Object context) {
        return newDocument();
    }

    public Document feed(Document target, Object context) {
        return newDocument();
    }

    public byte [] out(Document format, Object context) {
        return new byte[0];
    }

    public void setup(String identifier, Object context) {
        this.identifier = identifier;
    }

    public void endOfLife(Object context) {
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
